
*ASSEMBLING DATA AND CREATING VARIABLES
*THIS PART IS PROVIDED TO SHOW HOW THE DATA WERE ASSEMBLED AND PREPARED. FOR THE ANALYSIS ITSELF,
*ONE CAN SKIP TO THE "ANALYSIS" SECTION BELOW AND USE THE CASE.DTA FILE. 

*1. Polity IV data
import excel "C:\Users\treis\Dropbox\world statistics\Polity\p4v2017 downoladed 1 24 2019.xlsx", sheet("p4v2017") firstrow clear
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace
*cleaning up anomalies and duplications, combining some entries
replace ccode = 347 if country=="Kosovo"
*remove duplicate Yugoslavia 1991 entry
drop if cyear==3451991
*combine Yugoslavia pre 2003 with Serbia and Montenegro 2003-2006
replace ccode = 345 if country=="Yugoslavia"
replace ccode=345 if country=="Serbia and Montenegro"&year>2002&year<2007
replace ccode = 341 if country=="Montenegro"
*remove duplicate Ethiopia 1993 entry
drop if cyear==5291993
replace ccode=530 if country=="Ethiopia"
*consolidate Pakistan entries*
replace ccode=770 if country=="Pakistan"
*combine WG with Prussia and Germany with ccode = 255
drop if cyear==2601945
drop if cyear==2601990
replace ccode=255 if ccode==260
*combine USSR with Russia
drop if ccode==365&year==1922
replace ccode=365 if ccode==364
*correct error in Iran*
replace polity2=-9 if country=="Iran"&year==1979
replace polity2=-8 if country=="Iran"&year==1980
replace polity2=-7 if country=="Iran"&year==1981
*combine S Vietnam with Vietnam
replace ccode = 818 if ccode==816
*make consistent cyear
drop cyear
gen cyear = ccode*10000 + year
sort cyear
gen case=_n
tsset case
drop if cyear==f.cyear
drop case
*drop missing values
replace democ = . if democ<-10
replace autoc = . if autoc <-10
replace xrreg = . if xrreg <-10
replace xrcomp = . if xrcomp <-10
replace xropen = . if xropen <-10
replace xconst = . if xconst <-10
replace parreg = . if parreg <-10
replace parcomp = . if parcomp <-10
replace exrec = . if exrec <-10
replace exconst = . if exconst <-10
replace polcomp = . if polcomp<-10
replace polity2=. if polity<-10

*I interpolate linearly to replace Polity's code for transitional or interregnum years (-88 and -77).
*I leave years of foreign occupation (polity = -66) as missing. Polity codes the interregnum years (polity=-77) as 0.
*This means that, for instance, during Afghanistan's civil war after 1991 the country's regime shot up to 0 from -8, only to fall back down
*to -7 when the Taliban took over. 
xtset ccode year
by ccode: ipolate polity2 year, gen(pol3)
replace pol3=. if polity2==.&polity~=-77&polity~=-88
replace polity2=pol3
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace

*2. Boix Miller Rosato alternative democracy data
use "C:\Users\treis\Dropbox\world statistics\BMR data\BMR data v3 up to 2014.dta", clear
save "C:\Users\treis\Dropbox\economic mod and dem\b2010.dta", replace
*adjust to my country codings* 
drop if ccode==260&year==1945
*not to have both Germany and FRG in 1945*
drop if ccode==260&year==1990
*not to have both Germany and FRG in 1990*
drop if ccode==347&year==1991
*345 and 347 both for Yugoslavia in that year*
replace ccode = 530 if ccode==529
*both are Ethiopia*
replace ccode=255 if ccode==260
*combine Germany with FRG*
replace ccode=345 if ccode==347
*345 for Yugoslavia up to 2006* 
replace ccode=770 if ccode==769
*combine pre and post-1971 Pakistan*
drop if ccode==365&year==1922
replace ccode=365 if ccode==364
*combine Russia with USSR*
rename democracy brosdembmr
gen long cyear = ccode*10000+year
drop country
sort cyear
save "C:\Users\treis\Dropbox\economic mod and dem\b2010.dta", replace

keep ccode year brosdembmr
save "C:\Users\treis\Dropbox\Dem Breakdown\bmrshort.dta", replace

use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
sort cyear 
merge 1:1 cyear using "C:\Users\treis\Dropbox\economic mod and dem\b2010.dta" 
drop _merge
drop if ccode==.
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace

*Income and growth data
//download maddison income data from https://www.rug.nl/ggdc/historicaldevelopment/maddison/releases/maddison-project-database-2018
*maddison data
use https://www.rug.nl/ggdc/historicaldevelopment/maddison/data/mpd2018.dta, clear
drop i_*
gen ccode = .
replace ccode = 700 if country=="Afghanistan"
replace ccode = 339 if country=="Albania"
replace ccode = 615 if country=="Algeria"
replace ccode = 540 if country=="Angola"
replace ccode = 160 if country=="Argentina"
replace ccode = 371 if country=="Armenia"
replace ccode = 900 if country=="Australia"
replace ccode = 305 if country=="Austria"
replace ccode = 373 if country=="Azerbaijan"
replace ccode = 692 if country=="Bahrain"
replace ccode = 771 if country=="Bangladesh"
replace ccode = 370 if country=="Belarus"
replace ccode = 211 if country=="Belgium"
replace ccode = 434 if country=="Benin"
replace ccode = 145 if country=="Bolivia"
replace ccode = 346 if country=="Bosnia and Herzegovina"
replace ccode = 571 if country=="Botswana"
replace ccode = 140 if country=="Brazil"
replace ccode = 355 if country=="Bulgaria"
replace ccode = 439 if country=="Burkina Faso"
replace ccode = 775 if country=="Myanmar"
replace ccode = 516 if country=="Burundi"
replace ccode = 811 if country=="Cambodia"
replace ccode = 471 if country=="Cameroon"
replace ccode = 20 if country=="Canada"
replace ccode = 402 if country=="Cabo Verde"
replace ccode = 482 if country=="Central African Republic"
replace ccode = 483 if country=="Chad"
replace ccode = 155 if country=="Chile"
replace ccode = 710 if country=="China"
replace ccode = 100 if country=="Colombia"
replace ccode = 581 if country=="Comoros"
replace ccode = 484 if country=="Congo"
replace ccode = 94 if country=="Costa Rica"
replace ccode = 437 if country=="C𴥠d'Ivoire"
replace ccode = 437 if country=="Côte d'Ivoire"
replace ccode = 344 if country=="Croatia"
replace ccode = 40 if country=="Cuba"
replace ccode = 316 if country=="Czech Republic"
replace ccode = 315 if country=="Czechoslovakia"
replace ccode = 390 if country=="Denmark"
replace ccode = 522 if country=="Djibouti"
replace ccode = 42 if country=="Dominican Republic"
replace ccode = 130 if country=="Ecuador"
replace ccode = 651 if country=="Egypt"
replace ccode = 92 if country=="El Salvador"
replace ccode = 411 if country=="Equatorial Guinea"
replace ccode = 531 if country=="Eritrea"
replace ccode = 530 if country=="Ethiopia"
replace ccode = 366 if country=="Estonia"
replace ccode = 375 if country=="Finland"
replace ccode = 220 if country=="France"
replace ccode = 481 if country=="Gabon"
replace ccode = 420 if country=="Gambia"
replace ccode = 372 if country=="Georgia"
replace ccode = 255 if country=="Germany"
replace ccode = 452 if country=="Ghana"
replace ccode = 350 if country=="Greece"
replace ccode = 90 if country=="Guatemala"
replace ccode = 438 if country=="Guinea"
replace ccode = 404 if country=="Guinea-Bissau"
replace ccode = 110 if country=="Guyana"
replace ccode = 41 if country=="Ha൩"
replace ccode = 41 if country=="Haiti"
replace ccode = 91 if country=="Honduras"
replace ccode = 1001 if country=="China, Hong Kong SAR"
replace ccode = 310 if country=="Hungary"
replace ccode = 750 if country=="India"
replace ccode = 850 if country=="Indonesia"
replace ccode = 630 if country=="Iran (Islamic Republic of)"
replace ccode = 645 if country=="Iraq"
replace ccode = 205 if country=="Ireland"
replace ccode = 666 if country=="Israel"
replace ccode = 325 if country=="Italy"
replace ccode = 51 if country=="Jamaica"
replace ccode = 740 if country=="Japan"
replace ccode = 663 if country=="Jordan"
replace ccode = 705 if country=="Kazakhstan"
replace ccode = 501 if country=="Kenya"
replace ccode = 347 if country=="Kosovo"
replace ccode = 690 if country=="Kuwait"
replace ccode = 703 if country=="Kyrgyzstan"
replace ccode = 812 if country=="Lao People's DR"
replace ccode = 367 if country=="Latvia"
replace ccode = 660 if country=="Lebanon"
replace ccode = 570 if country=="Lesotho"
replace ccode = 450 if country=="Liberia"
replace ccode = 620 if country=="Libya"
replace ccode = 368 if country=="Lithuania"
replace ccode = 212 if country=="Luxembourg"
replace ccode = 343 if country=="TFYR of Macedonia"
replace ccode = 580 if country=="Madagascar"
replace ccode = 553 if country=="Malawi"
replace ccode = 820 if country=="Malaysia"
replace ccode = 338 if country=="Malta"
replace ccode = 432 if country=="Mali"
replace ccode = 435 if country=="Mauritania"
replace ccode = 590 if country=="Mauritius"
replace ccode = 70 if country=="Mexico"
replace ccode = 359 if country=="Republic of Moldova"
replace ccode = 712 if country=="Mongolia"
replace ccode = 341 if country=="Montenegro"
replace ccode = 600 if country=="Morocco"
replace ccode = 541 if country=="Mozambique"
replace ccode = 565 if country=="Namibia"
replace ccode = 790 if country=="Nepal"
replace ccode = 210 if country=="Netherlands"
replace ccode = 920 if country=="New Zealand"
replace ccode = 93 if country=="Nicaragua"
replace ccode = 436 if country=="Niger"
replace ccode = 475 if country=="Nigeria"
replace ccode = 731 if country=="D.P.R. of Korea"
replace ccode = 385 if country=="Norway"
replace ccode = 698 if country=="Oman"
replace ccode = 770 if country=="Pakistan"
replace ccode = 95 if country=="Panama"
replace ccode = 150 if country=="Paraguay"
replace ccode = 135 if country=="Peru"
replace ccode = 840 if country=="Philippines"
replace ccode = 290 if country=="Poland"
replace ccode = 235 if country=="Portugal"
replace ccode = 1002 if country=="Puerto Rico"
replace ccode = 694 if country=="Qatar"
replace ccode = 360 if country=="Romania"
replace ccode = 365 if country=="Russian Federation"&year>1949|(country=="Former USSR"&year<1950)
replace ccode = 517 if country=="Rwanda"
replace ccode = 403 if country=="S䯠Tom顡nd Principe"
replace ccode = 403 if country=="Sao Tome and Principe"
replace ccode = 670 if country=="Saudi Arabia"
replace ccode = 433 if country=="Senegal"
replace ccode = 342 if country=="Serbia"
replace ccode = 348 if country=="Serbia and Montenegro"
replace ccode=345 if country=="Serbia and Montenegro"&year>2002&year<2007
replace ccode = 591 if country=="Seychelles"
replace ccode = 451 if country=="Sierra Leone"
replace ccode = 830 if country=="Singapore"
replace ccode = 317 if country=="Slovakia"
replace ccode = 349 if country=="Slovenia"
replace ccode = 520 if country=="Somalia"
replace ccode = 560 if country=="South Africa"
replace ccode = 732 if country=="Republic of Korea"
replace ccode = 730 if country=="Korea"
replace ccode = 230 if country=="Spain"
replace ccode = 780 if country=="Sri Lanka"
replace ccode = 625 if country=="Sudan (Former)"
replace ccode = 572 if country=="Swaziland"
replace ccode = 380 if country=="Sweden"
replace ccode = 225 if country=="Switzerland"
replace ccode = 652 if country=="Syrian Arab Republic"
replace ccode = 713 if country=="Taiwan, Province of China"
replace ccode = 702 if country=="Tajikistan"
replace ccode = 510 if country=="U.R. of Tanzania: Mainland"
replace ccode = 800 if country=="Thailand"
replace ccode = 461 if country=="Togo"
replace ccode = 365 if country=="Total Former USSR"&year<1992
replace ccode = 52 if country=="Trinidad and Tobago"
replace ccode = 616 if country=="Tunisia"
replace ccode = 640 if country=="Turkey"
replace ccode = 701 if country=="Turkmenistan"
replace ccode = 500 if country=="Uganda"
replace ccode = 369 if country=="Ukraine"
replace ccode = 696 if country=="United Arab Emirates"
replace ccode = 200 if country=="United Kingdom"
replace ccode = 2 if country=="United States"
replace ccode = 165 if country=="Uruguay"
replace ccode = 704 if country=="Uzbekistan"
replace ccode = 101 if country=="Venezuela (Bolivarian Republic of)"
replace ccode = 818 if country=="Viet Nam"
replace ccode = 816 if country=="Vietnam North"
replace ccode = 817 if country=="Vietnam South"
replace ccode = 1005 if country=="West Bank and Gaza"|country=="State of Palestine"
replace ccode = 679 if country=="Yemen"
replace ccode = 678 if country=="Yemen North"
replace ccode = 680 if country=="Yemen South"
replace ccode = 345 if country=="Former Yugoslavia"
replace ccode = 490 if country=="D.R. of the Congo"
replace ccode = 551 if country=="Zambia"
replace ccode = 552 if country=="Zimbabwe"
replace ccode = 56 if country=="Saint Lucia"
replace ccode = 395 if country=="Iceland"
replace ccode = 54 if country=="Dominica"
replace ccode = 352 if country=="Cyprus"
replace ccode = 145 if country=="Bolivia (Plurinational State of)"
replace ccode = 53 if country=="Barbados"
drop if ccode==.
gen cyear=ccode*10000+year
*interpolate maddison income data
xtset ccode year
by ccode: ipolate rgdpnapc year, gen(rgdpnapci)
gen lnrgdpnapci = ln(rgdpnapci)
gen logrgdp= log10(rgdpnapci)
gen madgrowth=((rgdpnapci/l.rgdpnapci)-1)*100
label var madgrowth "growth rate of rgdpnapci; Maddison 2018"
keep country year cgdppc rgdpnapci lnrgdpnapci logrgdp pop ccode cyear madgrowth
save "C:\Users\treis\Dropbox\world statistics\Maddison\maddison 2018.dta" , replace
sort cyear
save "C:\Users\treis\Dropbox\world statistics\Maddison\maddison 2018.dta" , replace

use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
sort cyear
merge cyear using "C:\Users\treis\Dropbox\world statistics\Maddison\maddison 2018.dta"
drop _merge
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace

*create Polity2 democracy dummy
gen pol2more5 = .
replace pol2more5=1 if polity2>=6&polity2~=.
replace pol2more5=0 if polity2<6
label var pol2more5 "Polity2>=6"
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace

*Download VDEM data from:https://www.v-dem.net/en/data/data-version-9/#
use "C:\Users\treis\Dropbox\world statistics\VDEM\V-Dem-CY-Full+Others-v9.dta", clear
keep country_name year v2x_polyarchy v2x_libdem v2x_liberal e_v2x_polyarchy_5C e_v2x_libdem_5C v2x_regime v2elmulpar_osp v2elfrfair_osp v2cltrnslw_osp v2clacjstm_osp v2clacjstw_osp

rename country_name country
gen ccode=.
replace ccode = 100 if country=="Colombia"
replace ccode = 1001 if country=="Hong Kong"|country=="China: Hong Kong SAR"|country=="Hong Kong SAR"|country=="Hong Kong SAR, China"|country=="China, Hong Kong SAR"|country=="Hong Kong, China"
replace ccode = 1002 if country=="Puerto Rico"
replace ccode = 1005 if country=="Palestine"|country=="Palestine/West Bank"|country=="Palestinian Territories"|country=="West Bank and Gaza Strip"|country=="West Bank and Gaza"|country=="Israeli-Occupied Territories and Palestinian Authority"|country=="Palestinian Authority"|country=="West Bank"|country=="Palestine, State of"
replace ccode = 101 if country=="Venezuela"|country=="Venezuela (Bolivarian Republic of)"|country=="Venezuela, RB"|country=="Venezuela, Bolivarian Republic of"
replace ccode = 110 if country=="Guyana"
replace ccode = 115 if country=="Suriname"
replace ccode = 130 if country=="Ecuador"
replace ccode = 135 if country=="Peru"
replace ccode = 140 if country=="Brazil"
replace ccode = 145 if country=="Bolivia"|country=="Bolivia (Plurinational State of)"|country=="Bolivia, Plurinational State of"
replace ccode = 150 if country=="Paraguay"
replace ccode = 155 if country=="Chile"
replace ccode = 160 if country=="Argentina"
replace ccode = 165 if country=="Uruguay"
replace ccode = 166 if country=="Faeroe Islands"
replace ccode = 2 if country=="United States of America"|country=="United States"|country=="USA"|country=="US"
replace ccode = 20 if country=="Canada"
replace ccode = 200 if country=="Great Britain"|country=="United Kingdom"|country=="UK"
replace ccode = 201 if country=="Channel Islands"
replace ccode = 202 if country=="Isle of Man"
replace ccode = 205 if country=="Ireland"
replace ccode = 210 if country=="Netherlands"
replace ccode = 211 if country=="Belgium"
replace ccode = 212 if country=="Luxembourg"
replace ccode = 220 if country=="France"
replace ccode = 221 if country=="Monaco"
replace ccode = 223 if country=="Liechtenstein"
replace ccode = 225 if country=="Switzerland"
replace ccode = 230 if country=="Spain"
replace ccode = 232 if country=="Andorra"
replace ccode = 235 if country=="Portugal"
replace ccode = 255 if country=="FRG/Germany"|country=="West Germany"|country=="Germany, West"|country=="Germany"|country=="West Germany (FRG)"|country=="German Federal Republic"
replace ccode = 265 if country=="GDR"|country=="East Germany"|country=="Germany, East"|country=="East Germany (GDR)"|country=="Germany East"|country=="German Democratic Republic"
replace ccode = 290 if country=="Poland"
replace ccode = 305 if country=="Austria"
replace ccode = 31 if country=="Bahamas"
replace ccode = 31 if country=="Bahamas"|country=="Bahamas, The"|country=="The Bahamas"
replace ccode = 310 if country=="Hungary"
replace ccode = 316 if country=="Czech Rep."|country=="Czech Republic"|country=="Czechia"
replace ccode = 316 if country=="Czechoslovakia"
replace ccode = 317 if country=="Slovak Republic"|country=="Slovakia"|country=="Slovak Rep."
replace ccode = 32 if country=="Aruba"
replace ccode = 325 if country=="Italy"
replace ccode = 33 if country=="Bermuda"
replace ccode = 331 if country=="San Marino"
replace ccode = 338 if country=="Malta"
replace ccode = 339 if country=="Albania"
replace ccode = 341 if country=="Montenegro"
replace ccode = 342 if country=="Serbia and Montenegro"|country=="Serbia-Montenegro"
replace ccode = 342 if country=="Serbia"
replace ccode = 342 if country=="Yugoslavia"
replace ccode = 343 if country=="F.Y.R. Macedonia"|country=="Macedonia, FYR"|country=="FYR Macedonia"|country=="TFYR of Macedonia"|country=="Macedonia"|country=="The former Yugoslav Republic of Macedonia"|country=="Macedonia, the former Yugoslav Republic of"|country=="TFYR Macedonia"|country=="Macedonia (FYROM)"
replace ccode = 344 if country=="Croatia"
replace ccode = 346 if country=="Bosnia and Herzegovina"|country=="Bosnia"|country=="Bosnia-Herz"|country=="Bosnia-Herzegovina"|country=="Bosnia & Herzegovina"
replace ccode = 347 if country=="Kosovo"
replace ccode = 349 if country=="Slovenia"
replace ccode = 350 if country=="Greece"
replace ccode = 352 if country=="Cyprus"|country=="Cyprus (Greek)"
replace ccode = 355 if country=="Bulgaria"
replace ccode = 359 if country=="Moldova"|country=="Republic of Moldova"|country=="Moldova, Republic of"
replace ccode = 360 if country=="Romania"
replace ccode = 365 if country=="Russia"|country=="Russian Federation"|country=="Russia/USSR"|country=="USSR"|country=="Soviet Union"
replace ccode = 366 if country=="Estonia"
replace ccode = 367 if country=="Latvia"
replace ccode = 368 if country=="Lithuania"
replace ccode = 369 if country=="Ukraine"
replace ccode = 370 if country=="Belarus"
replace ccode = 371 if country=="Armenia"
replace ccode = 372 if country=="Georgia"
replace ccode = 373 if country=="Azerbaijan"
replace ccode = 375 if country=="Finland"
replace ccode = 380 if country=="Sweden"
replace ccode = 385 if country=="Norway"
replace ccode = 390 if country=="Denmark"
replace ccode = 395 if country=="Iceland"
replace ccode = 396 if country=="Greenland"
replace ccode = 40 if country=="Cuba"
replace ccode = 402 if country=="C. Verde Is."|country=="Cabo Verde"|country=="Cape Verde"
replace ccode = 403 if country=="Sao Tome and Principe"|country=="São Tomé and Príncipe"|country=="Sao Tome"|country=="São Tomé och Príncipe"
replace ccode = 404 if country=="Guinea-Bissau"|country=="Guinea Bissau"
replace ccode = 41 if country=="Haiti"
replace ccode = 411 if country=="Eq. Guinea"|country=="Equatorial Guinea"
replace ccode = 42 if country=="Dom. Rep."|country=="Dominican Rep."|country=="Dominican Republic"|country=="Dominican Rep"
replace ccode = 420 if country=="Gambia"|country=="Gambia, The"|country=="The Gambia"
replace ccode = 432 if country=="Mali"
replace ccode = 433 if country=="Senegal"
replace ccode = 434 if country=="Benin"
replace ccode = 435 if country=="Mauritania"
replace ccode = 436 if country=="Niger"
replace ccode = 437 if country=="C?te d'Ivoire"|country=="Cote d`Ivoire"|country=="Côte d´Ivoire"|country=="Côte d’Ivoire"|country=="Côte d'Ivoire"|country=="Cote d'Ivoire"|country=="Ivory Coast (Cote d'Ivoire)"|country=="Ivory Coast"|country=="Côte d'Ivoire"
replace ccode = 438 if country=="Guinea"
replace ccode = 439 if country=="Burkina Faso"
replace ccode = 450 if country=="Liberia"
replace ccode = 451 if country=="Sierra Leone"
replace ccode = 452 if country=="Ghana"
replace ccode = 461 if country=="Togo"
replace ccode = 471 if country=="Cameroon"
replace ccode = 475 if country=="Nigeria"
replace ccode = 481 if country=="Gabon"
replace ccode = 482 if country=="Cent. Af. Rep."
replace ccode = 482 if country=="Central Afr. Rep."|country=="Cen African Rep"|country=="Central African Rep."
replace ccode = 482 if country=="Central African Republic"
replace ccode = 483 if country=="Chad"
replace ccode = 484 if country=="Congo (Brazzaville)"
replace ccode = 484 if country=="Congo Brazzaville"|country=="Congo-Brz"
replace ccode = 484 if country=="Congo Republic"
replace ccode = 484 if country=="Congo"
replace ccode = 484 if country=="Congo, Rep. Of"
replace ccode = 484 if country=="Congo, Rep."|country=="Congo-Brazzaville"|country=="Republic of Congo"|country=="Congo, Republic"|country=="Republic of the Congo"
replace ccode = 484 if country=="Congo, Republic of"|country=="Congo, Republic of (Brazzaville)"
replace ccode = 484 if country=="Congo, Republicof"|country=="Congo (Rep.)"
replace ccode = 490 if country=="Congo (Democratic Republic of the)"|country=="Congo, the Democratic Republic of the"|country=="Congo (Dem. Rep.)"
replace ccode = 490 if country=="Congo (DRC)"|country=="Congo, Democratic Republic of (Kinshasa)"|country=="Zaire (Democ Republic Congo)"|country=="Congo/Zaire"
replace ccode = 490 if country=="Congo (Kinshasa)"|country=="Congo-Kinshasa"
replace ccode = 490 if country=="Congo, Dem. R."
replace ccode = 490 if country=="Congo, Dem. Rep."|country=="Congo, Democratic Republic"|country=="Democratic Republic of Congo"|country=="Zaire"
replace ccode = 490 if country=="Congo, Democratic Republic of"|country=="Congo, Dem. Rep."|country=="D.R. of the Congo"
replace ccode = 490 if country=="Democratic Republic of the Congo"
replace ccode = 500 if country=="Uganda"
replace ccode = 501 if country=="Kenya"
replace ccode = 51 if country=="Jamaica"
replace ccode = 510 if country=="Tanzania (United Republic of)"|country=="U.R. of Tanzania: Mainland"|country=="Tanzania, United Republic of"
replace ccode = 510 if country=="Tanzania"|country=="United Republic of Tanzania"
replace ccode = 516 if country=="Burundi"
replace ccode = 517 if country=="Rwanda"
replace ccode = 52 if country=="Trinidad & Tob."
replace ccode = 52 if country=="Trinidad & Tobago"
replace ccode = 52 if country=="Trinidad and Tobago"
replace ccode = 52 if country=="Trinidad-Tobago"
replace ccode = 520 if country=="Somalia"
replace ccode = 522 if country=="Djibouti"
replace ccode = 53 if country=="Barbados"
replace ccode = 530 if country=="Ethiopia"
replace ccode = 531 if country=="Eritrea"
replace ccode = 54 if country=="Dominica"
replace ccode = 540 if country=="Angola"
replace ccode = 541 if country=="Mozambique"
replace ccode = 55 if country=="Grenada"
replace ccode = 551 if country=="Zambia"
replace ccode = 552 if country=="Zimbabwe"|country=="Rhodesia"
replace ccode = 553 if country=="Malawi"
replace ccode = 56 if country=="Saint Lucia"
replace ccode = 56 if country=="St. Lucia"
replace ccode = 560 if country=="S. Africa"
replace ccode = 560 if country=="South Africa"
replace ccode = 565 if country=="Namibia"
replace ccode = 57 if country=="Saint Vincent and the Grenadines"|country=="St Vincent"
replace ccode = 57 if country=="St. Vincent & Grenadines"
replace ccode = 57 if country=="St. Vincent and Grenadines"
replace ccode = 57 if country=="St. Vincent and the Grenadines"
replace ccode = 570 if country=="Lesotho"
replace ccode = 571 if country=="Botswana"
replace ccode = 572 if country=="Swaziland"
replace ccode = 58 if country=="Antigua and Barbuda"|country=="Antigua & Barbuda"
replace ccode = 580 if country=="Madagascar"
replace ccode = 581 if country=="Comoro Is."
replace ccode = 581 if country=="Comoros"
replace ccode = 59 if country=="Cayman Islands"
replace ccode = 590 if country=="Mauritius"
replace ccode = 591 if country=="Seychelles"
replace ccode = 60 if country=="Saint Kitts & Nevis"|country=="Saint Kitts and Nevis"|country=="St Kitts"
replace ccode = 60 if country=="St. Kitts and Nevis"
replace ccode = 60 if country=="St.Kitts & Nevis"
replace ccode = 600 if country=="Morocco"
replace ccode = 61 if country=="Curacao"
replace ccode = 615 if country=="Algeria"
replace ccode = 616 if country=="Tunisia"
replace ccode = 62 if country=="Turks and Caicos Islands"
replace ccode = 620 if country=="Libya"
replace ccode = 625 if country=="Sudan"|country=="Sudan (Former)"
replace ccode = 626 if country=="South Sudan"
replace ccode = 63 if country=="Virgin Islands (U.S.)"
replace ccode = 630 if country=="Iran (Islamic Republic of)"|country=="Iran, Islamic Republic of"
replace ccode = 630 if country=="Iran"|country=="Iran (I.R.)"
replace ccode = 630 if country=="Iran"
replace ccode = 630 if country=="Iran, Islamic Rep."|country=="Islamic Republic of Iran"
replace ccode = 640 if country=="Turkey"
replace ccode = 645 if country=="Iraq"
replace ccode = 651 if country=="Egypt"
replace ccode = 651 if country=="Egypt"
replace ccode = 651 if country=="Egypt, Arab Rep."
replace ccode = 652 if country=="Syria"
replace ccode = 652 if country=="Syria"
replace ccode = 652 if country=="Syrian Arab Republic"
replace ccode = 660 if country=="Lebanon"
replace ccode = 663 if country=="Jordan"
replace ccode = 666 if country=="Israel"|country=="Israel and Occupied Territories**"|country=="Israel in pre-1967 borders"
replace ccode = 670 if country=="Saudi Arabia"
replace ccode = 678 if country=="Yemen Arab Republic"|country=="Yemen (A.R.)"|country=="North Yemen"|country=="Yemen (AR)"
replace ccode = 679 if country=="Yemen, Rep."|country=="Yemen"|country=="Yemen, Republic of"
replace ccode = 680 if country=="Yemen (PDR)"|country=="South Yemen"|country=="Yemen, South"|country=="SouthYemen"|country=="Yemen People's Republic"|country=="Yemen  (PDR)"|country=="Yemen South"
replace ccode = 690 if country=="Kuwait"
replace ccode = 692 if country=="Bahrain"
replace ccode = 694 if country=="Qatar"
replace ccode = 696 if country=="Unit. Arab Em."
replace ccode = 696 if country=="United Arab Emirates"|country=="UAE"|country=="United Arab Emirates#"
replace ccode = 698 if country=="Oman"
replace ccode = 70 if country=="Mexico"
replace ccode = 700 if country=="Afghanistan"
replace ccode = 701 if country=="Turkmenistan"
replace ccode = 702 if country=="Tajikistan"
replace ccode = 703 if country=="Kyrgyz Republic"
replace ccode = 703 if country=="Kyrgyzstan"
replace ccode = 703 if country=="Kyrgyzstan"
replace ccode = 704 if country=="Uzbekistan"
replace ccode = 705 if country=="Kazakhstan"
replace ccode = 710 if country=="China (PRC)"
replace ccode = 710 if country=="China"
replace ccode = 710 if country=="China, P. R."
replace ccode = 710 if country=="PRC"
replace ccode = 711 if country=="China: Macao SAR"|country=="Macao, China"
replace ccode = 711 if country=="Macao SAR, China"|country=="China, Macao SAR"
replace ccode = 711 if country=="Macao"|country=="Macau"
replace ccode = 712 if country=="Mongolia"
replace ccode = 713 if country=="Taiwan (ROC)"|country=="Taiwan Province of China"|country=="Taiwan, China"|country=="Taiwan, Province of China"
replace ccode = 713 if country=="Taiwan"
replace ccode = 713 if country=="Taiwan"
replace ccode = 731 if country=="Korea (North)"|country=="Korea North"|country=="Korea, Democratic People's Republic of"
replace ccode = 731 if country=="Korea, Dem. Rep."|country=="Democratic People's Republic of Korea"|country=="D.P.R. Korea"
replace ccode = 731 if country=="North Korea"|country=="Korea, North"
replace ccode = 731 if country=="PRK"|country=="North Korea (Democratc People's Republic of Korea)"
replace ccode = 732 if country=="Korea (South)"|country=="Korea South"
replace ccode = 732 if country=="Korea, Rep."|country=="Korea"|country=="Korea (Rep.)"
replace ccode = 732 if country=="Korea, Republic of"
replace ccode = 732 if country=="Korea, South"
replace ccode = 732 if country=="ROK"
replace ccode = 732 if country=="South Korea"|country=="Korea, South"|country=="Republic of Korea"|country=="South Korea (Republic of Korea)"
replace ccode = 740 if country=="Japan"
replace ccode = 750 if country=="India"
replace ccode = 760 if country=="Bhutan"
replace ccode = 770 if country=="Pakistan"
replace ccode = 771 if country=="Bangladesh"
replace ccode = 775 if country=="Burma (Myanmar)"
replace ccode = 775 if country=="Burma"
replace ccode = 775 if country=="Myanmar"|country=="Burma/Myanmar"
replace ccode = 780 if country=="Sri Lanka"
replace ccode = 781 if country=="Maldives"
replace ccode = 790 if country=="Nepal"
replace ccode = 80 if country=="Belize"
replace ccode = 800 if country=="Thailand"
replace ccode = 811 if country=="Cambodia"
replace ccode = 812 if country=="Lao PDR"|country=="Lao P.D.R."
replace ccode = 812 if country=="Lao People's Democratic Republic"
replace ccode = 812 if country=="Lao"|country=="Lao People's DR"
replace ccode = 812 if country=="Laos"
replace ccode = 812 if country=="Laos"
replace ccode = 817 if country=="Vietnam, South"|country=="South Vietnam"|country=="Republic of Vietnam"
replace ccode = 818 if country=="Viet Nam"|country=="Vietnam, Socialist Republic of"
replace ccode = 818 if country=="Vietnam"|country=="Democratic Republic of Vietnam"
replace ccode = 820 if country=="Malaysia"
replace ccode = 830 if country=="Singapore"
replace ccode = 835 if country=="Brunei Darussalam"
replace ccode = 835 if country=="Brunei"
replace ccode = 835 if country=="Brunei"
replace ccode = 840 if country=="Philippines"|country=="Philippines +"
replace ccode = 850 if country=="Indonesia"
replace ccode = 860 if country=="East Timor"|country=="East Timor (Timor L'este)"
replace ccode = 860 if country=="Timor-Leste"|country=="Timor Leste"
replace ccode = 90 if country=="Guatemala"
replace ccode = 900 if country=="Australia"
replace ccode = 91 if country=="Honduras"
replace ccode = 910 if country=="P.N. Guinea"
replace ccode = 910 if country=="Papua New Guinea"|country=="P.N. Guinea"|country=="P. N. Guinea"
replace ccode = 92 if country=="El Salvador"
replace ccode = 920 if country=="New Zealand"
replace ccode = 93 if country=="Nicaragua"
replace ccode = 935 if country=="Vanuatu"
replace ccode = 94 if country=="Costa Rica"
replace ccode = 940 if country=="Solomon Is."
replace ccode = 940 if country=="Solomon Islands"
replace ccode = 941 if country=="Northern Mariana Islands"
replace ccode = 946 if country=="Kiribati"
replace ccode = 947 if country=="Tuvalu"
replace ccode = 95 if country=="Panama"
replace ccode = 950 if country=="Fiji"
replace ccode = 951 if country=="French Polynesia"
replace ccode = 952 if country=="New Caledonia"
replace ccode = 955 if country=="Tonga"
replace ccode = 983 if country=="Marshall Islands"
replace ccode = 986 if country=="Palau"
replace ccode = 987 if country=="Micronesia (Federated States of)"|country=="Micronesia (FS of)"|country=="Micronesia, Federated States of"
replace ccode = 987 if country=="Micronesia"
replace ccode = 987 if country=="Micronesia, Fed. Sts."
replace ccode = 990 if country=="Samoa"|country=="W. Samoa"|country=="Western Samoa"
replace ccode = 991 if country=="Guam"
replace ccode = 992 if country=="Nauru"
replace ccode = 993 if country=="Niue"
replace ccode = 994 if country=="Cook Islands"
replace ccode = 995 if country=="American Samoa"
replace ccode=35 if country=="Anguilla"
replace ccode=36 if country=="Curaçao"
replace ccode=37 if country=="Montserrat"
replace ccode=38 if country=="Sint Maarten (Dutch part)"
replace ccode=39 if country=="British Virgin Islands"
replace ccode=521 if country=="Somaliland"|country=="Somaliland Region"
replace ccode=353 if country=="Northern Cyprus"
replace ccode=1008 if country=="Zanzibar"
replace ccode=1009 if country=="Palestine/British"
replace ccode=1010 if country=="Palestine/Gaza"
drop if ccode==.
gen cyear=ccode*10000+year
sort cyear
gen vdemelec = 0
replace vdemelec= 1 if v2x_regime==2|v2x_regime==3
replace vdemelec=. if v2x_regime==.
label var vdemelec "Vdem electoral democracy (or lib democracy)"
gen vdemlib = 0
replace vdemlib= 1 if v2x_regime==3
replace vdemlib=. if v2x_regime==.
label var vdemlib "Vdem liberal democracy (or lib democracy)"

bys ccode: carryforward v2elmulpar_osp , gen(v2elmulpar_ospi)
bys ccode: carryforward v2elfrfair_osp , gen(v2elfrfair_ospi)
sort cyear

save "C:\Users\treis\Dropbox\world statistics\VDEM\vdem v9.dta", replace

use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
sort cyear
merge cyear using "C:\Users\treis\Dropbox\world statistics\VDEM\vdem v9.dta", sort
drop _merge
sort cyear
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace

*World Bank education data
xtset ccode year
merge ccode using "C:\Users\treis\Dropbox\economic mod and dem\seced.dta"
drop _merge

*From: LaPorta, Rafael, Florencio Lopez-de-Silanes, Andrei Shleifer, and Robert Vishny. 1999. 
*“The Quality of Government.” Journal of Law, Economics and Organization 15 (1): 222-279.
sort ccode
merge ccode using "C:\Users\treis\Dropbox\Democracy book\Chapter 3\shleifergog.dta" 
drop _merge
save "C:\Users\treis\Dropbox\Democracy book\chapter 3\dem.dta", replace
xtset ccode year

*Colonial history data
sort ccode
merge ccode using "C:\Users\treis\Dropbox\world statistics\colonial.dta" 
drop _merge
save "C:\Users\treis\Dropbox\Democracy book\chapter 3\dem.dta", replace
xtset ccode year

*From: "Institutions, Human Capital and Development," Daron Acemoglu, Francisco A. Gallego, James A. Robinson
*Annual Reviews of Economics, January 2014
sort ccode
merge ccode using "C:\Users\treis\Dropbox\Democracy book\Chapter 3\Acemoglu Gallegos Rob data\agr.dta" 
drop _merge
save "C:\Users\treis\Dropbox\Democracy book\chapter 3\dem.dta", replace
xtset ccode year
drop if cyear==.

*PAIC data
sort cyear
merge 1:1 cyear using "C:\Users\treis\Dropbox\Democracy book\Chapter 3\cheibub.dta"
drop _merge
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace
gen int negyear = -year
bysort ccode (negyear): carryforward wdicode, replace
bysort ccode (year):  carryforward wdicode, replace
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace


*Ross oil and gas income data. Downloaded from https://dataverse.harvard.edu/api/access/datafile/2431785. 
*added country ccode index and cyear
merge 1:1 cyear using "C:\Users\treis\Dropbox\world statistics\rossshort2014.dta"
drop _merge
sort ccode year
gen lnoil = ln(1+ oil_gas_valuepop_2014)
gen logoil =log10(1+ oil_gas_valuepop_2014)
replace lnoil=. if oil_gas_valuepop_2014==.
replace logoil=. if oil_gas_valuepop_2014==.
label var lnoil "ln oil and gas value per capita (Ross)"
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace

gen scodeoil = scode
replace scodeoil="" if oil_gas_valuepop_2014<2000

sort cyear
merge cyear using "C:\Users\treis\Dropbox\Democracy and Uncertainty\Revision June 2018\lied_v3.dta", sort
drop _merge
gen l4 = .
replace l4=1 if lexical_index>3&lexical_index<7
replace l4=0 if lexical_index<4
gen l5 = .
replace l5=1 if lexical_index>4&lexical_index<7
replace l5=0 if lexical_index<5
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace

*Archigos prep
use "C:\world statistics\Archigos\Archigos_4.1_stata14.dta", clear 
gen inyear = year(eindate)
gen outyear = year(eoutdate)
replace ccode = 342 if idacr=="SER"
*Serbia
replace ccode=679 if ccode==678
*Yemen
replace ccode= . if ccode==711
*drop Tibet
replace ccode=818 if ccode==815
*Vietnam
sort ccode inyear eindate
gen case=_n
tsset case
gen years =outyear-inyear
replace years=years+1 if outyear==2015
expand years
gen one=1
sort ccode inyear eindate
bysort case: gen tenure=sum(one)
gen year=inyear+tenure-1
sort case year
gen obs = _n
tsset obs 
gen leaderturn = 0
replace leaderturn=1 if tenure==1&l.tenure~=.
bysort idacr year: egen leads=sum(one)
sort ccode year eindate
drop case
gen case=_n
tsset case
drop if ccode==f.ccode&year==f.year
gen cyear=ccode*10000+year
save "C:\world statistics\Archigos\arch41work.dta", replace

drop obsid leadid idacr startdate enddate dbpediauri fties ftcur one obs case
sort cyear
save "C:\world statistics\Archigos\arch41work.dta", replace

use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
sort cyear
merge cyear using "C:\world statistics\Archigos\arch41work.dta"
drop _merge
xtset ccode year
gen lpolity2 = l.polity2
bys year: egen lturnp=mean(leaderturn) if lpolity2<6
bys year: egen lturnpc = max(lturnp)
label var lturnpc "percent of non-dems with leader turnover that year"
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace
sort ccode
merge ccode using "C:\Users\treis\Dropbox\economic mod and dem\seced.dta"
drop _merge
xtset ccode year
bys year: egen polprop = mean(pol2more5)
bys year: egen l4prop = mean(l4)
bys year: egen bmrprop = mean(brosdembmr)
bys year: egen l5prop = mean(l5)
bys year: egen vdemlibprop = mean(vdemlib)

bys year: egen polnum = sum(pol2more5)
bys year: egen l4num = sum(l4)
bys year: egen bmrnum = sum(brosdembmr)
bys year: egen l5num = sum(l5)
bys year: egen vdemlibnum = sum(vdemlib)

gen npol = 1-pol2more5
gen nl4 = 1- l4
gen nbrosdem = 1-brosdembmr
gen nl5 = 1- l5
gen nvdemlib = 1-vdemlib

bys year: egen npolnum = sum(npol)
bys year: egen nl4num = sum(nl4)
bys year: egen nbmrnum = sum(nbrosdem)
bys year: egen nl5num = sum(nl5)
bys year: egen nvdemlibnum = sum(nvdemlib)

xtset ccode year
gen dpolprop = (polnum - l.polnum)/l.npolnum
gen dl4prop = (l4num-l.l4num)/l.nl4num
gen dbmrprop= (bmrnum-l.bmrnum)/l.nbmrnum
gen dl5prop = (l5num-l.l5num)/l.nl5num
gen dvdemlibprop = (vdemlibnum-l.vdemlibnum)/l.nvdemlibnum

*make centered 5-year moving averages
egen dpolpropma = filter(dpolprop), coef(1 1 1 1 1) lags(-2/2) normalise 
egen dl4propma = filter(dl4prop), coef(1 1 1 1 1) lags(-2/2) normalise 
egen dbmrpropma = filter(dbmrprop), coef(1 1 1 1 1) lags(-2/2) normalise 
egen dl5propma = filter(dl5prop), coef(1 1 1 1 1) lags(-2/2) normalise 
egen dvdemlibpropma = filter(dvdemlibprop), coef(1 1 1 1 1) lags(-2/2) normalise 

egen lturnpctb10 = filter(lturnpc), coef(1 1 1 1 1 1 1 1 1 1) lags(9/0) normalise

keep ccode country year cyear polity2 l4 l5 vdemlib pol2more5 brosdembmr noncol britcol frencol spanporc othercol ruscol legor_uk legor_fr legor_so legor_sc lcapped rgdpnapci logrgdp oil_gas_valuepop_2014 scode scodeoil csecedm1217 csecedf1217 polprop l4prop bmrprop l5prop vdemlibprop dpolpropma dl4propma dbmrpropma dl5propma dvdemlibpropma polnum l4num bmrnum l5num vdemlibnum leaderturn lturnpctb10
drop if year<1800
save "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", replace



*Make 5, 10, 15, 20-year datasets*
keep if year/5==int(year/5)
save "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", replace
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
keep if year/10==int(year/10)
save "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", replace
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
keep if year/20==int(year/20)
save "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", replace


*Leader turnover
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
egen lturncma5 = filter(lturnpc), coef(1 1 1 1 1) lags(2/-2) normalise
gen lturn100 = lturnpctb10*100
drop if year<1800
sort year
keep if ccode==2
keep ccode year lturn100 lturnpctb10 lturncma5 lturnpc
sort year 
save "C:\Users\treis\Dropbox\economic mod and dem\lturn.dta", replace

*with rate of democratization

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
bys year: egen polnum = sum(pol2more5)
gen npol = 1-pol2more5
bys year: egen npolnum = sum(npol)
xtset ccode year, delta(10)
gen dpolprop = (polnum - l.polnum)/l.npolnum
keep if ccode==2
keep ccode year dpolprop
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\dpolprop.dta", replace



*ANALYSIS


*Political systems around the globe have changed dramatically since the colonial era. 
*But little of the variation in political orders today can be explained by countries’ colonial 
*era institutions. Less than one fifth of the variation in current regime type can be predicted 
*using the origin of countries’ legal systems and their colonial history (whether they were colonized 
*and if so by whom). Among former colonies, less than one tenth of the variation in democracy today can 
*be explained by colonial era settler mortality, supposedly a key exogenous cause of institutional divergence
* (see Table A1 in Supplemental Materials). 

*Table A1
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
eststo clear
reg polity2 noncol britcol frencol spanporc othercol ruscol legor_uk legor_fr legor_so legor_sc if year==2016, rob
eststo
*Note German legal origin is excluded category
reg polity2 lcapped if year==2016, rob
eststo
	
esttab est1 est2 using tableA1.doc, replace compress se nonumbers mtitles((1) (2))  r2 title("Table A1: Using colonial history, legal origin," "and settler mortality to predict Polity2 today") 


*Table 1
*Upward transition to democracy
eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg pol2more5 llogrdp i.year  if l.pol2more5==0, fe cluster(ccode)
eststo
*eststo1
use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg pol2more5  llogrdp i.year  if l.pol2more5==0, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg pol2more5  llogrdp i.year  if l.pol2more5==0, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg pol2more5  llogrdp i.year  if l.pol2more5==0, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1A.txt, replace keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "pol2more5")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==0, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==0, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==0, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==0, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1A.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "lied4")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==0, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==0, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==0, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==0, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1A.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "brosdembmr")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==0, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==0, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==0, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==0, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1A.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "lied5")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==0, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==0, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==0, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==0, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1A.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) coeflabels(llogrdp "vdemlib")


*Downward transition from democracy
eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg pol2more5 llogrdp i.year  if l.pol2more5==1, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg pol2more5  llogrdp i.year  if l.pol2more5==1, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg pol2more5  llogrdp i.year  if l.pol2more5==1, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg pol2more5  llogrdp i.year  if l.pol2more5==1, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1B.txt, replace keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "pol2more5")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==1, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==1, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==1, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg l4  llogrdp i.year  if l.l4==1, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1B.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "lied4")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==1, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==1, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==1, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg brosdembmr  llogrdp i.year  if l.brosdembmr==1, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1B.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "brosdembmr")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==1, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==1, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==1, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg l5  llogrdp i.year  if l.l5==1, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1B.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) nonotes coeflabels(llogrdp "lied5")

eststo clear
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==1, fe cluster(ccode)
eststo
*eststo1

use "C:\Users\treis\Dropbox\economic mod and dem\dem5year.dta", clear
xtset ccode year, delta(5)
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==1, fe cluster(ccode)
eststo
*eststo2

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==1, fe cluster(ccode)
eststo
*eststo3

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
qui xtreg vdemlib  llogrdp i.year  if l.vdemlib==1, fe cluster(ccode)
eststo
*eststo4

esttab est1 est2 est3 est4 using table1B.txt, append keep(llogrdp) compress se nonumbers mtitles(annual 5-year 10-year 20-year) coeflabels(llogrdp "vdemlib")

*As for the impact on democratic survival, a (Polity2) democracy’s estimated probability of 
*still being democratic 20 years later rises from around 0 to certainty as the country’s income 
*per capita increases from $2,000 to $10,000 a year. 

use "C:\Users\treis\Dropbox\economic mod and dem\dem20year.dta", clear
xtset ccode year, delta(20)
gen llogrdp = l.logrgdp
xtreg pol2more5  llogrdp i.year  if l.pol2more5==1, fe cluster(ccode)
margins, at(llogrdp=(3.30 3.48 3.60 3.70 3.78 3.85 3.90 3.95 4.00))
*these numbers are the log10s of 2000, 3,000, ..., 10,000



*Figure A1: Crossnational correlations and graphs

use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
xtset ccode year
gen llogrdp = l.logrgdp

* From 1850 to 1972, correlations varied between a low of r = .39 in 1967 and a high of r = .74 in 1918. 

 foreach num of numlist 1850(1)2015 {
     cor rgdpnapci polity2 if year==`num', 
     display
	 display `num'
	 }

*Excluding countries that annually produced more than $2,000-worth of oil or gas per capita, 
*the correlations between income and Polity2 in the years since 1973 range from r = .40 in 2013 to r = .68 in 1977	
 
	 foreach num of numlist 1970(1)2015 {
     cor rgdpnapci polity2 if year==`num' & oil_gas_valuepop_2014<2000, 
     display
	 display `num'
	 }
	 
	 *Graphs: Figure A1
	 
	 foreach num of numlist 1850(10)2010 {
     twoway (scatter polity2 rgdpnapci if year==`num', mlabel(wdicode) msymbol(none) graphregion(color(white)) title(`num', size(small))  ytitle("Polity2" , size(vsmall))  xtitle("GDP per capita, 2011 dollars", size(vsmall)) ysize(4)  ylabel(, labsize(vsmall)) xlabel(, labsize(vsmall)) msize(vsmall) mlabsize(tiny) legend(off) ysc(r(-10 12)) mlabp(0)) (lfit polity2 rgdpnapci if year==`num', lpattern(dash) lcolor(blue)  ysc(r(-10 12)))
     graph save scatter`num', replace
	 }
 
 gr combine scatter1850.gph scatter1860.gph scatter1870.gph scatter1880.gph scatter1890.gph scatter1900.gph , graphregion(color(white)) col(2) ysize(7)
 gr combine scatter1910.gph scatter1920.gph scatter1930.gph scatter1940.gph scatter1950.gph  scatter1960.gph, graphregion(color(white)) col(2) ysize(7)
 gr combine  scatter1970.gph scatter1980.gph scatter1990.gph scatter2000.gph scatter2010.gph, graphregion(color(white)) col(2) ysize(7)

*Figure 1: see Excel workbook.
 
*Figure A2
*education statistics
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
*Thus, only countries with $2,000 a year in oil and gas income are identified on graph.
twoway (scatter csecedm1217 logrgdp if year==2010, mlabel(scodeoil) graphregion(color(white)) title("GDP per capita and male education", size(medsmall) margin(medlarge))  ytitle("Percent of male population 25+ that completed at least" "upper secondary education, average 2012-17", size(small) margin(medlarge))  xtitle("Log GDP per capita, 2010", size(small) margin(medlarge)) ysize(4)  ylabel(, labsize(small)) xlabel(, labsize(small)) msize(vsmall) mlabsize(vsmall) legend(off) xsc(r(2.5 5.5)) note("Sources: Maddison 2018, World Bank.")  ) (lfit csecedm1217 logrgdp if year==2010)
twoway (scatter csecedf1217 logrgdp if year==2010, mlabel(scodeoil) graphregion(color(white)) title("GDP per capita and female education", size(medsmall) margin(medlarge))  ytitle("Percent of female population 25+ that completed at least" "upper secondary education, average 2012-17", size(small) margin(medlarge))  xtitle("Log GDP per capita, 2010", size(small) margin(medlarge)) ysize(4)  ylabel(, labsize(small)) xlabel(, labsize(small)) msize(vsmall) mlabsize(vsmall) legend(off) xsc(r(2.5 5.5)) note("Sources: Maddison 2018, World Bank.")  ) (lfit csecedm1217 logrgdp if year==2010)

 
*Figure A3
use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
twoway line polprop l4prop bmrprop l5prop vdemlibprop year if ccode==2&year>1799, graphregion(color(white)) lwidth(medium medium medium medium medium) lcolor(blue purple black maroon gray) lpattern(dot solid solid solid solid) legend(size(vsmall) pos(3) label(1 "Polity2 democracies") label(2 "LIED minimally competitive" "electoral democracies") label(3 "BMR democracies") label(4 "LIED electoral democracies" "with full male suffrage") label(5 "VDEM liberal democracies") col(1) region(lstyle(none) lcolor(white)))   title("Figure A3a: Proportion of states that were democracies, 1800-2017", size(medsmall) margin(large)) xtitle("") ytitle("") xlabel(1800(20)2010, labsize(vsmall)) ylabel( , labsize(vsmall)) note("Source: Polity IV, BMR, LIED, VDEM.", size(vsmall) margin(small))
graph save waves.gph, replace
twoway line dpolpropma dl4propma dbmrpropma dl5propma dvdemlibpropma year if ccode==2&year>1799&year<2014, graphregion(color(white)) lwidth(medium medium medium medium medium) lcolor(blue purple black maroon gray) lpattern(dot solid solid solid solid) legend(size(vsmall) pos(3) label(1 "Polity2 democracy") label(2 "LIED minimally competitive" "electoral democracy") label(3 "BMR democracy") label(4 "LIED electoral democracy" "with full male suffrage") label(5 "VDEM liberal democracy") col(1) region(lstyle(none) lcolor(white))) title("Figure A3b: Proportional change in number of democracies, 1800-2017", size(medsmall) margin(large)) xtitle("") ytitle("") xlabel(1800(20)2010, labsize(vsmall)) ylabel( , labsize(vsmall)) note("Source: Polity IV, BMR, LIED, VDEM.", size(vsmall) margin(small))
graph save change.gph, replace

*Nearly three quarters of the net increase in the number of (Polity2) democracies in the world since 1820 
*occurred in four concentrated bursts—1917-20, 1944-48, 1988-93, and 2000-06. 

list year polnum l4num bmrnum l5num vdemlibnum if ccode==2, clean noobs




*For income effects broken down by decade
*Upward transition
use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
foreach num of numlist 1820(10)2010 {
     gen d`num' = 0
	 replace d`num'=1 if year==`num' 
     	 }

 foreach num of numlist 1820(10)2010 {
    qui xtreg pol2more5 d`num'##c.llogrdp if l.pol2more5==0, fe cluster(ccode)
		qui margins, dydx(llogrdp) at(d`num'=1) saving("C:\Users\treis\Dropbox\economic mod and dem\xd`num'", replace)
		 }	
	
use "C:\Users\treis\Dropbox\economic mod and dem\xd1820.dta", clear
	foreach num of numlist 1830(10)2010 {
    append using "C:\Users\treis\Dropbox\economic mod and dem\xd`num'"
		 }
	
gen year = 1820 + (_n-1)*10
rename _margin mpol2more5
rename _se sepol2more5
rename _ci_lb _ci_lbpol2
rename _ci_ub _ci_ubpol2
keep year mpol2more5 sepol2more5 _ci_lbpol2 _ci_ubpol2
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

	
use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp

foreach num of numlist 1820(10)2010 {
     gen d`num' = 0
	 replace d`num'=1 if year==`num' 
     	 }

eststo clear
 foreach num of numlist 1820(10)2010 {
    qui xtreg l4 d`num'##c.llogrdp if l.l4==0, fe cluster(ccode)
	qui margins, dydx(llogrdp) at(d`num'=1) saving(xd`num', replace)
		 }	
	
use "C:\Users\treis\Dropbox\economic mod and dem\xd1820.dta", clear
	foreach num of numlist 1830(10)2010 {
    append using xd`num'
		 }
	
gen year = 1820 + (_n-1)*10
rename _margin ml4
rename _se sel4
rename _ci_lb _ci_lbl4
rename _ci_ub _ci_ubl4
keep year ml4 sel4 _ci_lbl4 _ci_ubl4
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	
	
use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp

foreach num of numlist 1820(10)2010 {
     gen d`num' = 0
	 replace d`num'=1 if year==`num' 
     	 }

eststo clear
 foreach num of numlist 1820(10)2010 {
    qui xtreg brosdembmr d`num'##c.llogrdp if l.brosdembmr==0, fe cluster(ccode)
	qui margins, dydx(llogrdp) at(d`num'=1) saving(xd`num', replace)
		 }	
	
use "C:\Users\treis\Dropbox\economic mod and dem\xd1820.dta", clear
	foreach num of numlist 1830(10)2010 {
    append using xd`num'
		 }
	
gen year = 1820 + (_n-1)*10
rename _margin mbmr
rename _se sebmr
rename _ci_lb _ci_lbbmr
rename _ci_ub _ci_ubbmr
keep year mbmr sebmr _ci_lbbmr _ci_ubbmr
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp

foreach num of numlist 1820(10)2010 {
     gen d`num' = 0
	 replace d`num'=1 if year==`num' 
     	 }

eststo clear
 foreach num of numlist 1820(10)2010 {
    qui xtreg l5 d`num'##c.llogrdp if l.l5==0, fe cluster(ccode)
	qui margins, dydx(llogrdp) at(d`num'=1) saving(xd`num', replace)
		 }	
	
use "C:\Users\treis\Dropbox\economic mod and dem\xd1820.dta", clear
	foreach num of numlist 1830(10)2010 {
    append using xd`num'
		 }
	
gen year = 1820 + (_n-1)*10
rename _margin ml5
rename _se sel5
rename _ci_lb _ci_lbl5
rename _ci_ub _ci_ubl5
keep year ml5 sel5 _ci_lbl5 _ci_ubl5
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	
	
use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp

foreach num of numlist 1900(10)2010 {
     gen d`num' = 0
	 replace d`num'=1 if year==`num' 
     	 }

 foreach num of numlist 1910(10)2010 {
    qui xtreg vdemlib d`num'##c.llogrdp if l.vdemlib==0, fe cluster(ccode)
	qui margins, dydx(llogrdp) at(d`num'=1) saving(vxd`num', replace)
		 }	
	
	use "C:\Users\treis\Dropbox\economic mod and dem\vxd1910.dta", clear
	foreach num of numlist 1910(10)2010 {
    append using vxd`num'
		 }
	
gen year = 1900 + (_n-1)*10
rename _margin mvdem
rename _se sevdem
rename _ci_lb _ci_lbvdem
rename _ci_ub _ci_ubvdem
keep year mvdem sevdem _ci_lbvdem _ci_ubvdem
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	
	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg pol2more5 i.year##c.llogrdp if l.pol2more5==0, fe cluster(ccode)
qui margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f1.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f1.dta", clear
rename _m1 year
rename _margin mpol2fe
rename _se sepol2fe
rename _ci_lb _ci_lbpol2fe
rename _ci_ub _ci_ubpol2fe
keep year mpol2fe sepol2fe _ci_lbpol2fe _ci_ubpol2fe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui reg pol2more5 i.year##c.llogrdp if l.pol2more5==0, cluster(ccode)
margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f2.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f2.dta", clear 
rename _m1 year
rename _margin mpol2nofe
rename _se sepol2nofe
rename _ci_lb _ci_lbpol2nofe
rename _ci_ub _ci_ubpol2nofe
keep year mpol2nofe sepol2nofe _ci_lbpol2nofe _ci_ubpol2nofe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg l4 i.year##c.llogrdp if l.l4==0, fe cluster(ccode)
qui margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f3.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f3.dta" , clear
rename _m1 year
rename _margin ml4fe
rename _se sel4fe
rename _ci_lb _ci_lbl4fe
rename _ci_ub _ci_ubl4fe
keep year ml4fe sel4fe _ci_lbl4fe _ci_ubl4fe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui reg l4 i.year##c.llogrdp if l.l4==0, cluster(ccode)
margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f4.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f4.dta" , clear
rename _m1 year
rename _margin ml4nofe
rename _se sel4nofe
rename _ci_lb _ci_lbl4nofe
rename _ci_ub _ci_ubl4nofe
keep year ml4nofe sel4nofe _ci_lbl4nofe _ci_ubl4nofe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg brosdembmr i.year##c.llogrdp if l.brosdembmr==0, fe cluster(ccode)
qui margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f5.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f5.dta", clear
rename _m1 year
rename _margin mbmrfe
rename _se sebmrfe
rename _ci_lb _ci_lbbmrfe
rename _ci_ub _ci_ubbmrfe
keep year mbmrfe sebmrfe _ci_lbbmrfe _ci_ubbmrfe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui reg brosdembmr i.year##c.llogrdp if l.brosdembmr==0, cluster(ccode)
margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f6.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f6.dta" , clear
rename _m1 year
rename _margin mbmrnofe
rename _se sebmrnofe
rename _ci_lb _ci_lbbmrnofe
rename _ci_ub _ci_ubbmrnofe
keep year mbmrnofe sebmrnofe _ci_lbbmrnofe _ci_ubbmrnofe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg l5 i.year##c.llogrdp if l.l5==0, fe cluster(ccode)
qui margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f7.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f7.dta" , clear
rename _m1 year
rename _margin ml5fe
rename _se sel5fe
rename _ci_lb _ci_lbl5fe
rename _ci_ub _ci_ubl5fe
keep year ml5fe sel5fe _ci_lbl5fe _ci_ubl5fe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui reg l5 i.year##c.llogrdp if l.l5==0, cluster(ccode)
margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f8.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f8.dta" , clear
rename _m1 year
rename _margin ml5nofe
rename _se sel5nofe
rename _ci_lb _ci_lbl5nofe
rename _ci_ub _ci_ubl5nofe
keep year ml5nofe sel5nofe _ci_lbl5nofe _ci_ubl5nofe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui xtreg vdemlib i.year##c.llogrdp if l.vdemlib==0, fe cluster(ccode)
qui margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f9.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f9.dta" , clear
rename _m1 year
rename _margin mvdemfe
rename _se sevdemfe
rename _ci_lb _ci_lbvdemfe
rename _ci_ub _ci_ubvdemfe
keep year mvdemfe sevdemfe _ci_lbvdemfe _ci_ubvdemfe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace	

use "C:\Users\treis\Dropbox\economic mod and dem\cases.dta", clear
sort cyear
merge cyear using "C:\world statistics\Archigos\arch41work.dta"
drop _merge
xtset ccode year
gen lpolity2=l.polity2
bys year: egen dturn = mean(pol2more5) if lpolity2<6
bys year: egen demturn=max(dturn)
bys year: egen polprop = mean(pol2more5)
bys year: egen polnum = sum(pol2more5)
gen npol = 1-pol2more5
bys year: egen npolnum = sum(npol)
xtset ccode year
gen dpolprop = (polnum - l.polnum)/l.npolnum
replace dpolprop=. if year==2018

bys year: egen lturnp=mean(leaderturn) if lpolity2<6
bys year: egen lturnpc = max(lturnp)
label var lturnpc "percent of non-dems with leader turnover that year"
egen lturncma5 = filter(lturnpc), coef(1 1 1 1 1) lags(2/-2) normalise
egen lturnpctb10 = filter(lturnpc), coef(1 1 1 1 1 1 1 1 1 1) lags(9/0) normalise
keep if ccode==2
keep if year>1799
keep year polprop dpolprop leaderturn demturn
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\polpropz.dta", replace

use "C:\Users\treis\Dropbox\economic mod and dem\dem10year.dta", clear
xtset ccode year, delta(10)
gen llogrdp = l.logrgdp
qui reg vdemlib i.year##c.llogrdp if l.vdemlib==0, cluster(ccode)
margins i.year, dydx(llogrdp) saving("C:\Users\treis\Dropbox\economic mod and dem\f10.dta", replace)
use "C:\Users\treis\Dropbox\economic mod and dem\f10.dta" , clear
rename _m1 year
rename _margin mvdemnofe
rename _se sevdemnofe
rename _ci_lb _ci_lbvdemnofe
rename _ci_ub _ci_ubvdemnofe
keep year mvdemnofe sevdemnofe _ci_lbvdemnofe _ci_ubvdemnofe
sort year
merge 1:1 year using "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta"
drop _merge
sort year
save "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", replace



use "C:\Users\treis\Dropbox\economic mod and dem\xmargins.dta", clear
sort year
merge year using "C:\Users\treis\Dropbox\economic mod and dem\lturn.dta"
drop _merge 
sort year 
merge year using "C:\Users\treis\Dropbox\economic mod and dem\polpropz.dta"
drop _merge 

*Figure 2
twoway (line polprop year if ccode==2&year>1869, yaxis(3) yscale(alt) lcolor(purple) mcolor(purple) msize(small) ytitle("", axis(3)) ylabel(-.5(0.2).6 , labsize(vsmall) axis(3))) (line mpol2fe mpol2nofe mpol2more5 year if ccode==2&year>1869, yline(3.18, axis(1) lcolor(black) lstyle(thin)) graphregion(color(white)) color(black maroon navy)  xtitle("") ytitle("") xlabel(1870(20)2010, labsize(vsmall)) ylabel(-2.5(1)3, labsize(vsmall) axis(1)) xtitle("Decade ending in", size(vsmall) margin(medium)) legend(size(vsmall) position(3) col(1) region(lstyle(none) lcolor(white)) label(1 "proportion of democracies in" "world (first left axis)") label(2 "income effect in previous" "10 years, all decades interacted:"  "country fixed effects (right axis)") label(3 "income effect in previous 10" "years, all decades interacted: no" "country fixed effects (right axis)") label(4 "income effect in previous 10" "years, one decade interacted" "at time: country fixed" "effects (right axis)") label(5 "proportion of non-democracies in which" "leader changed, annual, averaged over" "previous 10 years (second left axis)") margin(medium)) lp(dash shortdash_dot solid) yaxis(1)) (bar lturnpctb10 year if ccode==2&year>1869, fcolor(none) lcolor(midblue) yaxis(2) ytitle("", axis(2)) ylabel(0(0.1)0.7 , labsize(vsmall) axis(2)))
graph save figure2, replace
